cross/cross-binutils - The NetBSD Packages Collection

Unified GNU binutils for cross build environments

The cross-binutils pkg is used only by the other `cross' pkgs.  The
binutils provides various binary manipulation utilities as well as the GNU
linker.  (The assembler is bundled with each individual cross pkg.)

Build dependencies

devel/libtool-base devel/m4 lang/perl5 pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfcross-binutils-2.17.0.0nb5.tgz
NetBSD 8.0i386cross-binutils-2.17.0.0nb5.tgz
NetBSD 8.0i386cross-binutils-2.17.0.0nb5.tgz
NetBSD 8.0powerpccross-binutils-2.17.0.0nb5.tgz
NetBSD 8.0powerpccross-binutils-2.17.0.0nb5.tgz
NetBSD 8.0x86_64cross-binutils-2.17.0.0nb5.tgz
NetBSD 8.0x86_64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0aarch64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0aarch64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0alphacross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0alphacross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0alphacross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0earmcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0earmcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0earmcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0earmv6hfcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0earmv6hfcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0earmv7hfcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0earmv7hfcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0i386cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0i386cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0i386cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0m68kcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0m68kcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0mips64ebcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0mips64ebcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0mips64ebcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0mipselcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0mipselcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0powerpccross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0powerpccross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sh3elcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sh3elcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sh3elcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sparc64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sparc64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sparc64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sparccross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sparccross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sparccross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0sparccross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0vaxcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0vaxcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0vaxcross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0x86_64cross-binutils-2.17.0.0nb6.tgz
NetBSD 9.0x86_64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0x86_64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0x86_64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0x86_64cross-binutils-2.17.0.0nb5.tgz
NetBSD 9.0x86_64cross-binutils-2.17.0.0nb6.tgz
NetBSD 9.99.96aarch64ebcross-binutils-2.17.0.0nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.